/*
Theme Name: LC26
Theme URI: 
Author: Kalle Kemilä
Author URI: 
Description: 
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: ollie
Text Domain: lc26
Tags: 
*/


:root {
	scroll-behavior: smooth;
}
.overflow-visible {
    overflow:visible !important
}
.overflow-hidden {
    overflow:hidden !important
}
.inline-flex {
    display: inline-flex !important;
}
.z-10 {
    z-index: 10;
}
.z-minus {
    z-index: -1;
}
.blockLink {
    position: absolute;
    inset:0;
    padding: 0;
margin: -1px;
overflow: hidden;
/* clip: rect(0, 0, 0, 0); */
white-space: nowrap;
border-width: 0;
pointer-events: auto;
}

li.tournament .wp-block-read-more span{
    position:absolute;
    inset:0 auto;
    pointer-events: none;
}

li.tournament .wp-block-read-more {
    position: absolute; top: 0; left: 0; width: 100%; height: 100%; display: block;
    font-size: 0;
}

li.tournament  div:has(.wp-block-read-more) {
    position: relative;
  } 

  .gw-mm-item__dropdown {
    background: #ffffff;
    box-shadow: 0;
    padding: 15px;
    backdrop-filter: blur(10px);
    }



    .gw-mm__content {
        flex-wrap: nowrap;
        }


  input, textarea, select {
    border-radius: .5rem;
     border:0;
 }

 input:is([type="submit"]) {
    font-size: var(--wp--preset--font-size--large);
    background: var(--wp--preset--color--accent-4);
    color: var(--wp--preset--color--accent-2);
    padding: 1rem 2rem;
    font-family: "campaign", sans-serif;
    border-radius: 9999px;
 }

 input:is([type="submit"]):hover {
    background: var(--wp--preset--color--contrast);
 }

p.gform_required_legend {
    font-size: var(--wp--preset--font-size--small);
 }
  .tournamentLink:hover{
    background: white;
    cursor: pointer;
  } 
  .content-start{
  align-content: flex-start; } 

  footer .zoom-instagram.feed-329, .minus-rotate {
    transform: rotate(-4deg);
    }
    .rotate {
        transform: rotate(4deg);
        }
    

  .zoom-instagram .zoom-instagram-widget__items.layout-grid .zoom-instagram-widget__item img {
    -o-object-fit: cover;
    object-fit: cover;
    width: 200px;
    aspect-ratio: 1/1;
    height: 200px !important;
    }

    .zoom-instagram-widget__item .zoom-instagram-widget__item-inner-wrap {

        border-radius: 1rem;
        }

        .editor-styles-wrapper a.wpzoom-video-popup-block .wpzoom-video-popup-block_icon, a.wpzoom-video-popup-block .wpzoom-video-popup-block_icon {
           
            height: 1rem;
            width: 1rem;
            }

            .editor-styles-wrapper a.wpzoom-video-popup-block, a.wpzoom-video-popup-block {
            gap: 10px;
            min-height: unset;
                }


         
               
                .tournament-desc
                {
                    overflow: hidden;
                    display: -webkit-box;
                    -webkit-line-clamp: 3; /* number of lines to show */
                            line-clamp: 3; 
                    -webkit-box-orient: vertical;
                } 
                .truncate
                {
                    text-overflow: ellipsis;
                    overflow: hidden;

                } 

                .absolute
                {
                    position: absolute;
                } 
                .relative
                {
                    position: relative;
                } 

                .shrink-0
                {
                    flex-shrink: 0;
                } 


                .right
                {
                    right:0;
                } 

                .roundpics
                {
                    transform: translateX(-50px);
                                } 

                .roundpics figure:nth-child(1)
                {
                    transform: translateX(-230px);
                                } 

                                .sample .ginput_container {
                                    border:1.5px solid var(--wp--preset--color--accent-1);
                                    border-radius: 0.375rem;
                                    width: 100%;
                                }

                                .sample .gform_wrapper, .sample input:is([type="submit"]), .sample2 .gform_wrapper, .sample2 input:is([type="submit"]){
                                   
                                    width: 100%;
                                }




.search-filter-input-button-group {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 0px;
    }
    .search-filter-input-button {
        margin-right: 2px;
        min-height: 0;
        border-width: 0;      
        align-items: center;
        justify-content: center;
        width: 135px;
        }
        button:hover, .wp-block-button:hover, .button:has(a):hover {
           opacity: 0.8;
            }

        .search-filter-input-button:first-child {
            border-radius: 10px 0px 0px 10px ;
            }
            .search-filter-input-button:last-child {
                border-radius: 0px 10px 10px 0px ;
                }

                .wp-block-mfb-meta-field-block.is-display-inline-block .suffix {
                    margin-inline-start: 3px;
                    }

                    .flag
                    {
                    background: white;
                            }

                            /* 
.countrycontainer:hover .flag, .countrycontainer:hover
{
    background: rgb(209, 209, 228) !important;
    transition: background 0.1s ease-in-out; 
}

.category-czech-rep-ice-hockey .country, .category-czech-ringette .country
{
    background: linear-gradient(321deg, rgb(255, 237, 237), rgb(255, 205, 205)) !important;
    color:rgb(124, 14, 14) !important
}

.category-finland .country, .category-finland-ringette .country
{
    background:linear-gradient(321deg, rgb(229, 242, 254), rgb(214, 237, 255))   
}
*/

.flag div {
    position: relative; /* Ensure the container can position pseudo-elements */
    padding-left: 40px; /* Add space for the image */
    padding-top: 2px;
  }
  
  .flag div::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 30px;
    height: 17px;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 3px;
    background-position: center;
    }

  .category-czech-rep-ice-hockey .flag div::before, .category-czech-ringette .flag div::before{
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 480"><path fill="%23ffffff" d="M0 0h640v240H0z"/><path fill="%23d7141a" d="M0 240h640v240H0z"/><path fill="%2311457e" d="M360 240 0 0V480z"/></svg>');
  }

  .category-finland .flag div::before, .category-finland-ringette .flag div::before{
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 480"><path fill="%23fff" d="M0 0h640v480H0z"/><path fill="%23003580" d="M0 174.5h640v131H0z"/><path fill="%23003580" d="M175.5 0h130.9v480h-131z"/></svg>');
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container {

    right: -1px;
    left:unset;
    border: 0;
    border-radius: 0.5rem;
    overflow: hidden;
    }

    .wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):hover>.wp-block-navigation__submenu-container, .wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within>.wp-block-navigation__submenu-container {
        min-width: 220px;
        width: auto;
        border-radius: 8px;
        overflow: hidden;
        }

       .home li.type-tournament{
            display: none;
             }
 
     .home li.type-tournament:nth-child(-n + 4){
            
            display: block;
             }
     
            
             :where(.wp-site-blocks *:focus) {
                outline-width: 2px;
                outline-style: solid;
                outline-offset: 6px;
                outline-color: var(--wp--preset--color--accent-5);
            }

            .search-filter-input-button__count{
               display: none;
            }

    /* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

    :root :where(.tw-cols-small) {
        gap: .6rem;
    }

    .gw-mm-item__dropdown {
        padding: 0;
        }

        .listing .wp-block-column
        {
            padding-right: var(--wp--preset--spacing--0) !important;
            padding-left: var(--wp--preset--spacing--0) !important;
        }

        .listing .wp-block-column > .wp-block-group
        {
            padding-right: var(--wp--preset--spacing--20) !important;
            padding-left: var(--wp--preset--spacing--20) !important;
        }
/*
        .flag
        {
        border-radius: 0 !important;
        width: 100% !important;
                }
*/
    
    .tournament-box p:first-of-type
    {
    margin-top: 0.7rem;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1; /* number of lines to show */
            line-clamp: 1; 
    -webkit-box-orient: vertical;
    }

    .tournament-box
    {
    padding-right: var(--wp--preset--spacing--20) !important;
    padding-left: var(--wp--preset--spacing--20)  !important;
    }

    .wp-container-core-group-is-layout-16 {
        grid-template-columns: repeat(1, minmax(0, 1fr));
        }
}


a:where(:not(.wp-element-button)) {
color: unset;}

.gform_wrapper {
display: flex;
flex-direction: column;
margin: 0;
}
.gform_heading{
order: 999;
}

p.gform_required_legend {
font-size: var(--wp--preset--font-size--x-small);
opacity: .7;
padding-top: 20px;
}

input.gform_button{
font-size: var(--wp--preset--font-size--base) !important;
font-family: 'Campaign' !important;
    }

.custom-tournament-block .wp-element-button {
    color: var(--wp--preset--color--secondary);
   }

     .sample-itinerary form, .sample-itinerary .gform_wrapper {
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}

input, select, textarea {
font-family: 'Campaign', serif !important;
}   
label{
font-family: 'IBM Plex Mono', monospace !important;
}  
/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
    .gw-mm-item__dropdown {
        padding: 0;
        }

}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (max-width: 768px) {
    
    .tournaments > *
{
    grid-column: span 2 / span 2;} 

}


/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (max-width: 992px) {
    
    .tournaments > *
{
    grid-column: span 2 / span 2;} 

    .tournaments >:nth-child(2) .wp-block-heading {
        color: var(--wp--preset--color--contrast);

    }

    
}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {
    
}

